## DMS Set Alt Net Config DMS Set Alt Net Config |

## Functions

QmiMessageDmsSetAltNetConfigInput * | qmi_message_dms_set_alt_net_config_input_new ()
QmiMessageDmsSetAltNetConfigInput * | qmi_message_dms_set_alt_net_config_input_ref ()
void | qmi_message_dms_set_alt_net_config_input_unref ()
gboolean | qmi_message_dms_set_alt_net_config_input_get_config ()
gboolean | qmi_message_dms_set_alt_net_config_input_set_config ()
QmiMessageDmsSetAltNetConfigOutput * | qmi_message_dms_set_alt_net_config_output_ref ()
void | qmi_message_dms_set_alt_net_config_output_unref ()
gboolean | qmi_message_dms_set_alt_net_config_output_get_result ()
void | qmi_client_dms_set_alt_net_config ()
QmiMessageDmsSetAltNetConfigOutput * | qmi_client_dms_set_alt_net_config_finish ()

## Types and Values

| QmiMessageDmsSetAltNetConfigInput
| QmiMessageDmsSetAltNetConfigOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetAltNetConfigInput
        ╰── QmiMessageDmsSetAltNetConfigOutput

## Description

## Functions

### qmi_message_dms_set_alt_net_config_input_new ()

    QmiMessageDmsSetAltNetConfigInput *
    qmi_message_dms_set_alt_net_config_input_new
                                   (void);

Allocates a new QmiMessageDmsSetAltNetConfigInput.

#### Returns

the newly created QmiMessageDmsSetAltNetConfigInput. The returned value should be freed with `qmi_message_dms_set_alt_net_config_input_unref()`.

### qmi_message_dms_set_alt_net_config_input_ref ()

    QmiMessageDmsSetAltNetConfigInput *
    qmi_message_dms_set_alt_net_config_input_ref
                                   (QmiMessageDmsSetAltNetConfigInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetAltNetConfigInput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_set_alt_net_config_input_unref ()

    void
    qmi_message_dms_set_alt_net_config_input_unref
                                   (QmiMessageDmsSetAltNetConfigInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetAltNetConfigInput. |

### qmi_message_dms_set_alt_net_config_input_get_config ()

    gboolean
    qmi_message_dms_set_alt_net_config_input_get_config
                                   (QmiMessageDmsSetAltNetConfigInput *self,
                                    gboolean *value_config,
                                    GError **error);

Get the 'Config' field from `self` .

#### Parameters

self | a QmiMessageDmsSetAltNetConfigInput. |
value_config | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_alt_net_config_input_set_config ()

    gboolean
    qmi_message_dms_set_alt_net_config_input_set_config
                                   (QmiMessageDmsSetAltNetConfigInput *self,
                                    gboolean value_config,
                                    GError **error);

Set the 'Config' field in the message.

#### Parameters

self | a QmiMessageDmsSetAltNetConfigInput. |
value_config | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_alt_net_config_output_ref ()

    QmiMessageDmsSetAltNetConfigOutput *
    qmi_message_dms_set_alt_net_config_output_ref
                                   (QmiMessageDmsSetAltNetConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetAltNetConfigOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_set_alt_net_config_output_unref ()

    void
    qmi_message_dms_set_alt_net_config_output_unref
                                   (QmiMessageDmsSetAltNetConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetAltNetConfigOutput. |

### qmi_message_dms_set_alt_net_config_output_get_result ()

    gboolean
    qmi_message_dms_set_alt_net_config_output_get_result
                                   (QmiMessageDmsSetAltNetConfigOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetAltNetConfigOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_dms_set_alt_net_config ()

    void
    qmi_client_dms_set_alt_net_config (QmiClientDms *self,
                                       QmiMessageDmsSetAltNetConfigInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Set Alt Net Config request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_alt_net_config_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetAltNetConfigInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_set_alt_net_config_finish ()

    QmiMessageDmsSetAltNetConfigOutput *
    qmi_client_dms_set_alt_net_config_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_alt_net_config()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_alt_net_config()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetAltNetConfigOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_alt_net_config_output_unref()`.

## Types and Values

### QmiMessageDmsSetAltNetConfigInput

    typedef struct _QmiMessageDmsSetAltNetConfigInput QmiMessageDmsSetAltNetConfigInput;

The QmiMessageDmsSetAltNetConfigInput structure contains private data and should only be accessed using the provided API.

### QmiMessageDmsSetAltNetConfigOutput

    typedef struct _QmiMessageDmsSetAltNetConfigOutput QmiMessageDmsSetAltNetConfigOutput;

The QmiMessageDmsSetAltNetConfigOutput structure contains private data and should only be accessed using the provided API.